### Method

# FwupdPlugin Device report_metadata_pre

since: 1.5.0

#### Declaration [src]

    GHashTable*
    fu_device_report_metadata_pre (
      FuDevice* self
    )

#### Description [src]

Collects metadata that would be useful for debugging a failed update report.

Available since: 1.5.0

#### Return value

Type: `GHashTable`

A `GHashTable`, or `NULL` if there is no data.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.